%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-xlrd
Version:        0.7.1
Release:        1%{?dist}
Summary:        Library to extract data from Microsoft Excel (TM) spreadsheet files

Group:          Development/Languages
License:        BSD
URL:            http://www.lexicon.net/sjmachin/xlrd.htm
Source0:        http://pypi.python.org/packages/source/x/xlrd/xlrd-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel, dos2unix

%description
Extract data from new and old Excel spreadsheets on any platform.  Pure
Python (2.1 or later).  Strong support for Excel dates.  Unicode-aware.

%prep
%setup -q -n xlrd-%{version}

%build
# fix CRLF to LF
for i in */*.py *.html xlrd/doc/* xlrd/examples/*; do
  dos2unix $i
done
for i in xlrd/doc/* xlrd/examples/xlrdnameAPIdemo.py; do
  iconv -f iso8859-1 -t UTF-8 $i > $i.tmp
  mv -f $i.tmp $i
done
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# add shebang and remove .py file
(
  echo '#!%{__python}'
  cat $RPM_BUILD_ROOT%{_bindir}/runxlrd.py
) >> $RPM_BUILD_ROOT%{_bindir}/runxlrd
rm -rf $RPM_BUILD_ROOT%{_bindir}/runxlrd.py* \
  $RPM_BUILD_ROOT/%{python_sitelib}/xlrd/doc \
  $RPM_BUILD_ROOT/%{python_sitelib}/xlrd/examples

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc xlrd/doc/* xlrd/examples
%attr(755,root,root) %dir %{python_sitelib}/xlrd
%{python_sitelib}/xlrd/*
%if 0%{fedora} > 8
%{python_sitelib}/*egg-info
%endif
%attr(755,root,root) %{_bindir}/*

%changelog
* Mon Aug 23 2010 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.7.1-1
- new version
- fixed summary spelling
- fixed egg-info condition
- fixed source URL for new version

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.1-10
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.6.1-7
- Rebuild for Python 2.6

* Mon Jun 2 2008 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.1-5
- removed "" for fedora macro

* Tue Jan 1 2008 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.1-4
- added eggs for Fedora >= 9

* Fri Sep 14 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> 0.6.1-3
- doc files converted to UTF-8
- removed HISTORY.html README.html because they are also in xlrd/doc/

* Fri Sep 7 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.1-2
- namewithoutprefix removed, too complicated and not required
- added directory xlrd
- permissions for python scripts set to 644
- files converted from DOS line-feeds to UNIX format
- "#!/usr/bin/env python" added to beginning runxlrd script
- removed doc and examples from site-packages/xlrd directory

* Tue Jun 12 2007 Sean Reifschneider <jafo@tummy.com> - 0.6.1-1
- Initial RPM spec file.
